require File.expand_path '../../test_helper.rb', __FILE__

require 'crusade/apns/crypto/user_token_generator'

describe Crusade::APNS::UserTokenGenerator do
  subject { Crusade::APNS::UserTokenGenerator.new(146) }

  it 'always generate a different token even for the same user' do
    tokens = (0...1000).map { subject.generate }

    tokens.uniq.length.must_equal 1000
  end

  it 'generate token of at least 16 characters' do
    greater = subject.generate.length >= 16

    greater.must_be_truthy
  end
end