require 'zip'

module ZipSupport
  module_function

  def entries(zip_file)
    Zip::File.open(zip_file) {|zipfile| zipfile }
  end

  def file_names(zip_file)
    entries(zip_file).map(&:to_s)
  end
end