# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'crusade/apns/version'

Gem::Specification.new do |spec|
  spec.name          = "crusade-apns"
  spec.version       = Crusade::APNS::VERSION
  spec.authors       = ["David Rouchy"]
  spec.email         = ["drouchy@gmail.com"]
  spec.description   = %q{APNS pluging for crusade}
  spec.summary       = %q{send push notification to APNS}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "crusade", Crusade::APNS::VERSION
  spec.add_dependency "rubyzip", "~> 1.0.0"

  spec.add_development_dependency "json_expressions", "~> 0.8.2"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "minitest", "~> 5.0.7"
  spec.add_development_dependency "minitest-great_expectations", "~> 0.0.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "coveralls"
end
